# class toQValue | This function is used to represent values that are passed to and from queries More...
Definition | `#include <toqvalue.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toQValue (void)
- toQValue (int i)
- toQValue (const QString &str)
- toQValue (double d)
- ~toQValue ()
- toQValue (const toQValue ©)
- const toQValue & operator = (const toQValue ©)
- bool isInt (void) const
- bool isDouble (void) const
- bool isString (void) const
- bool isNull (void) const
- QCString utf8Value (void) const
- int toInt (void) const
- double toDouble (void) const
- operator QString () const

## Detailed Description

This function is used to represent values that are passed to and from queries

toQValue (void) | ### toQValue

Create null value.

toQValue (int i) | ### toQValue

Create integer value.

Parameters:

i | Value.

toQValue (const QString &str) | ### toQValue

Create string value.

Parameters:

str | Value.

toQValue (double d) | ### toQValue

Create double value.

Parameters:

d | Value.

~toQValue () | ### ~toQValue

Destruct query.

toQValue (const toQValue ©) | ### toQValue

Create a copy of a value.

const toQValue & operator = (const toQValue ©) | ### operator =

Assign this value from another value.

bool isInt (void) | ### isInt

[const]

Check if this is an int value.

bool isDouble (void) | ### isDouble

[const]

Check if this is a double value.

bool isString (void) | ### isString

[const]

Check if this is a string value.

bool isNull (void) | ### isNull

[const]

Check if this value is null.

QCString utf8Value (void) | ### utf8Value

[const]

Get utf8 format of this value.

int toInt (void) | ### toInt

[const]

Get integer representation of this value.

double toDouble (void) | ### toDouble

[const]

Get double representation of this value.

operator QString () | ### QString

[const]

Convert value to a string.